Skip to content

List



GET /api/v1/wksp_share/list

Overview

Query Parameters

Parameter Name Type Required Description
type string Category, grant: authorization list; granted: authorized-to list
Allow empty: False
namespace commaArray Filter workspaces with view permissions for the corresponding namespace. Optional fields ["metric","keyevent","network","rum","dialtest","billing","logging","tracing","object","custom_object","profiling","llm","agent_monitor"]
Allow empty: False
regionCode string Site filter, filter for workspaces that can be viewed.
Allow empty: False
toRegionCode string Site filter, filter for workspaces authorized to.
Allow empty: False
filterWsUUIDs commaArray Workspace UUIDs, multiple workspaces separated by commas.
Allow empty: False
search string Field name search.
Allow empty: False
pageIndex integer Page number.
Allow empty: False
Example: 10
$minValue: 1
pageSize integer Number of items per page.
Allow empty: False
Example: 10
$minValue: 1
$maxValue: 100

Parameter Details

1. Response Parameter Details

Parameter Name Description
type Authorization type, ["*"] indicates all, optional types: ["metric","keyevent","network","rum","dialtest","billing","logging","tracing","object","custom_object","profiling","llm","agent_monitor"]
indexes Authorized log index names.
regionCode Authorizing site code.
regionName Authorizing site name.
workspaceUUID Authorizing workspace uuid.
workspaceName Authorizing workspace name.
toRegionCode Authorized-to site code.
toRegionName Authorized-to site name.
toWorkspaceUUID Authorized-to workspace uuid.
toWorkspaceName Authorized-to workspace name.

Request Example

curl 'https://openapi.guance.com/api/v1/wksp_share/list' \
-H 'Content-Type: application/json' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed

Response

{
    "code": 200,
    "content": {
        "data": [
            {
                "createAt": 1754361156,
                "creator": "acnt_8775d346f997436c8918e9a5c8a3dffc",
                "creatorInfo": {
                    "acntWsNickname": "feifei",
                    "email": "xxx@guance.com",
                    "iconUrl": "",
                    "mobile": "",
                    "name": "gtf",
                    "status": 0,
                    "username": "xxx@guance.com",
                    "uuid": "acnt_8775d346f997436c8918e9a5c8a3dffc",
                    "wsAccountStatus": 0
                },
                "delayDeleteAt": -1,
                "deleteAt": -1,
                "id": 457,
                "indexes": [
                    "default"
                ],
                "regionCode": "testing",
                "regionName": "testing-guance",
                "status": 0,
                "toRegionCode": "testing",
                "toRegionName": "testing-guance",
                "toWorkspaceName": "gary-test-006",
                "toWorkspaceUUID": "wksp_99dfb8e18426433f8b6529bd0f87f668",
                "type": [
                    "*"
                ],
                "updateAt": -1,
                "updator": "",
                "updatorInfo": {},
                "uuid": "grant_6b96bcda20a4423190237a6808000cd2",
                "workspaceName": "testing workspace ",
                "workspaceUUID": "wksp_4b57c7bab38e4a2d9630f675dc20015d"
            },
            {
                "createAt": 1750303597,
                "creator": "acnt_349ee5f70a89442fa94b4f754b5acbfe",
                "creatorInfo": {
                    "acntWsNickname": "",
                    "email": "xxx@guance.com",
                    "iconUrl": "http://static.cloudcare.cn:10561/icon/acnt_349ee5f70a89442fa94b4f754b5acbfe.png",
                    "mobile": "12343543422",
                    "name": "88 testing",
                    "status": 0,
                    "username": "xxx@guance.com",
                    "uuid": "acnt_349ee5f70a89442fa94b4f754b5acbfe",
                    "wsAccountStatus": 0
                },
                "delayDeleteAt": -1,
                "deleteAt": -1,
                "id": 448,
                "indexes": [
                    "default",
                    "*",
                    "jindds"
                ],
                "regionCode": "testing",
                "regionName": "testing-guance",
                "status": 0,
                "toRegionCode": "testing",
                "toRegionName": "testing-guance",
                "toWorkspaceName": "Hd_test_saas02",
                "toWorkspaceUUID": "wksp_1776556484b7412db06d6c428d3aaa6e",
                "type": [
                    "network",
                    "object",
                    "dialtest",
                    "billing",
                    "logging",
                    "tracing",
                    "metric",
                    "rum",
                    "keyevent",
                    "custom_object",
                    "security",
                    "profiling"
                ],
                "updateAt": -1,
                "updator": "",
                "updatorInfo": {},
                "uuid": "grant_b7bddd877017408d9a57c4da43f938ff",
                "workspaceName": "testing workspace",
                "workspaceUUID": "wksp_4b57c7bab38e4a2d9630f675dc20015d"
            }
        ],
        "declaration": {
            "asd": "aa,bb,cc,1,True",
            "asdasd": "dawdawd",
            "business": "aaa",
            "dd": "dd",
            "fawf": "afawf",
            "organization": "64fe7b4062f74d0007b46676"
        }
    },
    "errorCode": "",
    "message": "",
    "pageInfo": {
        "count": 16,
        "pageIndex": 1,
        "pageSize": 20,
        "totalCount": 16
    },
    "success": true,
    "traceId": "TRACE-4A7BB095-CDDE-435E-B427-BE9938540EDE"
} 

Feedback

Is this page helpful? ×